Commit ced2c2c5 authored by Rich Salz's avatar Rich Salz Committed by Rich Salz
Browse files

Templatize util/domd

parent 56087077
Loading
Loading
Loading
Loading
+1 −0
Original line number Diff line number Diff line
@@ -44,6 +44,7 @@
/crypto/buildinf.h
/openssl/include/opensslconf.h
/crypto/include/internal/*_conf.h
util/domd

# Auto generated assembly language source files
*.s
+5 −1
Original line number Diff line number Diff line
@@ -1292,6 +1292,9 @@ print "RC2 uses $config{rc2_int}\n" if $config{rc2_int} != $def_int;

run_dofile("$Makefile.in","$Makefile");

run_dofile("util/domd.in", "util/domd");
chmod 0755, "util/domd";

run_dofile("include/openssl/opensslconf.h.in", "include/openssl/opensslconf.h");

foreach my $alg ( 'bn' ) {
@@ -1664,8 +1667,9 @@ sub run_dofile()
    my $in = shift;
    my $out = shift;

    unlink $out || warn "Can't remove $out, $!"
        if -f $out;
    die "Can't open $in, $!" unless -f $in;
    # should we remove $out ?
    system("$config{perl} -I. -Mconfigdata util/dofile.pl -o\"Configure\" $in > $out.new");
    exit 1 if $? != 0;
    rename("$out.new", $out) || die "Can't rename $out.new, $!";
+0 −3
Original line number Diff line number Diff line
@@ -74,7 +74,6 @@ PERL= {- $config{perl} -}
RM= rm -f
TAR= tar
TARFLAGS= --no-recursion
MAKEDEPPROG=$(CROSS_COMPILE){- $config{makedepprog} -}
LIBDIR={- $config{libdir} -}

# We let the C compiler driver to take care of .s files. This is done in
@@ -209,9 +208,7 @@ BUILDENV= LC_ALL=C PLATFORM='$(PLATFORM)' PROCESSOR='$(PROCESSOR)'\
		INSTALL_PREFIX='$(INSTALL_PREFIX)'		\
		INSTALLTOP='$(INSTALLTOP)' OPENSSLDIR='$(OPENSSLDIR)'	\
		LIBDIR='$(LIBDIR)'				\
		MAKEDEPEND='$$$${TOP}/util/domd $$$${TOP} -MD $(MAKEDEPPROG)' \
		DEPFLAG='$(DEPFLAG)'                    	\
		MAKEDEPPROG='$(MAKEDEPPROG)'			\
		SHARED_LDFLAGS='$(SHARED_LDFLAGS)'		\
		ZLIB_INCLUDE='$(ZLIB_INCLUDE)' LIBZLIB='$(LIBZLIB)'	\
		EXE_EXT='$(EXE_EXT)' SHARED_LIBS='$(SHARED_LIBS)'	\
+1 −1
Original line number Diff line number Diff line
@@ -111,7 +111,7 @@ uninstall:
generate: openssl-vms.cnf

depend:
	@[ -z "$(THIS)" ] || $(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(EXE_SRC)
	$(TOP)/util/domd $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(EXE_SRC)

clean:
	rm -f *.o *.obj *.dll lib tags core .pure .nfs* *.old *.bak fluff $(EXE)
+1 −3
Original line number Diff line number Diff line
@@ -9,8 +9,6 @@ INCLUDE= -I. -I$(TOP) -I../include -Iinclude $(ZLIB_INCLUDE)
# INCLUDES targets sudbirs!
INCLUDES=	-I.. -I../.. -I../modes -I../include -I../../include $(ZLIB_INCLUDE)
CFLAG=		-g
MAKEDEPPROG=	makedepend
MAKEDEPEND=	$(TOP)/util/domd $(TOP) -MD $(MAKEDEPPROG)
MAKEFILE=       Makefile
RM=             rm -f
AR=		ar r
@@ -109,7 +107,7 @@ libs:

depend:
	@[ -z "$(THIS)" -o -f buildinf.h ] || touch buildinf.h # fake buildinf.h if it does not exist
	@[ -z "$(THIS)" ] || $(MAKEDEPEND) -- $(CFLAG) $(INCLUDE) $(DEPFLAG) -- $(PROGS) $(LIBSRC)
	@[ -z "$(THIS)" ] || $(TOP)/util/domd $(CFLAG) $(INCLUDE) $(DEPFLAG) -- $(PROGS) $(LIBSRC)
	@[ -z "$(THIS)" -o -s buildinf.h ] || rm buildinf.h
	@[ -z "$(THIS)" ] || (set -e; target=depend; $(RECURSIVE_MAKE) )
	@if [ -z "$(THIS)" ]; then $(MAKE) -f $(TOP)/Makefile reflect THIS=$@; fi
Loading